List all linked tokens
Return all linked tokens (paginated)
GET
/
tokenization
/
tokens
TypeScript
const response: Promise<FireblocksResponse<TokensPaginatedResponse>> = fireblocks.tokenization.getLinkedTokens(tokenizationApiGetLinkedTokensRequest);CompletableFuture<ApiResponse<TokensPaginatedResponse>> response = fireblocks.tokenization().getLinkedTokens(pageCursor, pageSize, status);response = fireblocks.tokenization.get_linked_tokens(page_cursor, page_size, status);curl --request GET \
--url https://api.fireblocks.io/v1/tokenization/tokensconst options = {method: 'GET'};
fetch('https://api.fireblocks.io/v1/tokenization/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb",
"status": "COMPLETED",
"type": "NON_FUNGIBLE_TOKEN",
"refId": "BQ5R_MY_TOKEN",
"displayName": "My Simple ERC20 Token",
"tokenMetadata": {
"assetId": "BQ5R_MY_TOKEN",
"name": "MyToken",
"symbol": "MYT",
"networkProtocol": "ETH",
"totalSupply": "1000000000000000",
"holdersCount": "6",
"type": "ERC20",
"contractAddress": "0x1234567890abcdef1234567890abcdef12345678",
"issuerAddress": "rGyXjc5d7s17vvt3NtKKascvJrnSxV21kQ",
"testnet": true,
"blockchain": "ETH_TEST5",
"decimals": 18,
"vaultAccountId": "0"
}
}
],
"next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}{
"message": "<string>",
"code": 123
}Query Parameters
Page cursor to get the next page
Number of items per page, requesting more then max will return max items
Required range:
1 <= x <= 100Was this page helpful?
⌘I
TypeScript
const response: Promise<FireblocksResponse<TokensPaginatedResponse>> = fireblocks.tokenization.getLinkedTokens(tokenizationApiGetLinkedTokensRequest);CompletableFuture<ApiResponse<TokensPaginatedResponse>> response = fireblocks.tokenization().getLinkedTokens(pageCursor, pageSize, status);response = fireblocks.tokenization.get_linked_tokens(page_cursor, page_size, status);